Package com.sap.ai.sdk.core.model

# Enum Class RTAArtifact.KindEnum

java.lang.Object
java.lang.Enum<RTAArtifact.KindEnum>
com.sap.ai.sdk.core.model.RTAArtifact.KindEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<RTAArtifact.KindEnum>`, `Constable`

Enclosing class:
  `RTAArtifact`

public static enum RTAArtifact.KindEnum extends Enum<RTAArtifact.KindEnum>
Kind of the artifact, i.e. model or dataset

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATASET`
  The DATASET option of this RTAArtifact
  `MODEL`
  The MODEL option of this RTAArtifact
  `OTHER`
  The OTHER option of this RTAArtifact
  `RESULTSET`
  The RESULTSET option of this RTAArtifact
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this RTAArtifact

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTAArtifact.KindEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static RTAArtifact.KindEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RTAArtifact.KindEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MODEL

    public static final RTAArtifact.KindEnum MODEL
    The MODEL option of this RTAArtifact

  - ### DATASET

    public static final RTAArtifact.KindEnum DATASET
    The DATASET option of this RTAArtifact

  - ### RESULTSET

    public static final RTAArtifact.KindEnum RESULTSET
    The RESULTSET option of this RTAArtifact

  - ### OTHER

    public static final RTAArtifact.KindEnum OTHER
    The OTHER option of this RTAArtifact

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final RTAArtifact.KindEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this RTAArtifact

- ## Method Details

  - ### values

    public static RTAArtifact.KindEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RTAArtifact.KindEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<RTAArtifact.KindEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static RTAArtifact.KindEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type RTAArtifact